"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _react = _interopRequireDefault(require("react"));

var _router = require("@reach/router");

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _antd = require("antd");

var _routes = _interopRequireDefault(require("../routes"));

var _store = require("../store");

var _templateObject;

const FourOhFour = () => {
  const [{
    cmsState: {
      siteID
    }
  }] = (0, _store.useStore)();
  return /*#__PURE__*/_react.default.createElement(EmptyContainer, null, /*#__PURE__*/_react.default.createElement(_antd.Empty, {
    imageStyle: {
      height: 120
    },
    description: 'Page not found'
  }, /*#__PURE__*/_react.default.createElement(_router.Link, {
    to: (0, _routes.default)('dashboard', {
      siteID
    })
  }, /*#__PURE__*/_react.default.createElement(_antd.Button, {
    type: "primary"
  }, "Back to Dashboard"))));
};

const EmptyContainer = _styledComponents.default.div(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  height: calc(100vh - 130px);\n  width: 100%;\n  text-align: center;\n"])));

var _default = FourOhFour;
exports.default = _default;