"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _antd = require("antd");

const Select = props => {
  const {
    value = '',
    options,
    defaultValue,
    onChange
  } = props;
  return /*#__PURE__*/_react.default.createElement(_antd.Select, {
    defaultValue: value || defaultValue || '',
    onChange: onChange
  }, options && options.map(o => /*#__PURE__*/_react.default.createElement(_antd.Select.Option, {
    key: o.value,
    value: o.value,
    children: o.name
  })));
};

var _default = Select;
exports.default = _default;