"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _styledComponents = _interopRequireWildcard(require("styled-components"));

var _theme = require("../theme");

var _templateObject, _templateObject2, _templateObject3, _templateObject4;

const Tag = _styledComponents.default.span(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n  display: inline-block;\n  padding: 2px 4px;\n  margin-left: 10px;\n  transform: translateY(-2px);\n  font-size: 9px;\n  text-transform: uppercase;\n  border-radius: 4px;\n\n  ", "\n\n  ", "\n\n  ", "\n"])), (_ref) => {
  let {
    children
  } = _ref;
  return children === 'front' && (0, _styledComponents.css)(_templateObject2 || (_templateObject2 = (0, _taggedTemplateLiteral2.default)(["\n      background: ", ";\n      color: #fff;\n    "])), _theme.colors.success);
}, (_ref2) => {
  let {
    children
  } = _ref2;
  return children === 'draft' && (0, _styledComponents.css)(_templateObject3 || (_templateObject3 = (0, _taggedTemplateLiteral2.default)(["\n      background: ", ";\n      color: #fff;\n    "])), _theme.colors.primary);
}, (_ref3) => {
  let {
    children
  } = _ref3;
  return children === 'trash' && (0, _styledComponents.css)(_templateObject4 || (_templateObject4 = (0, _taggedTemplateLiteral2.default)(["\n      background: ", ";\n      color: #fff;\n    "])), _theme.colors.warning);
});

var _default = Tag;
exports.default = _default;