"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Jodit = _interopRequireDefault(require("../Jodit"));

var _store = require("../../store");

// import app components
const Wysiwyg = props => {
  const {
    value,
    onChange
  } = props;
  const [{
    editorState: {
      editorSettings: {
        fullscreen
      }
    }
  }, dispatch] = (0, _store.useStore)();

  const handleChange = c => onChange(c);

  const handleToggleFullscreen = () => dispatch({
    type: 'UPDATE_EDITOR_SETTINGS',
    payload: {
      fullscreen: !fullscreen
    }
  });

  return /*#__PURE__*/_react.default.createElement(_Jodit.default, {
    onChange: handleChange,
    defaultValue: value,
    fullscreen: fullscreen,
    onToggleFullscreen: handleToggleFullscreen
  });
};

var _default = Wysiwyg;
exports.default = _default;